Telegram APIBots
bots.updateStarRefProgram
Create, edit or delete the affiliate program of a bot we own
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Create, edit or delete the affiliate program of a bot we own
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.updateStarRefProgram" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "commissionPermille": 0 } }'{ "result": { "_": "starRefProgram", "botId": 0, "commissionPermille": 0, "durationMonths": 0, "endDate": 0, "dailyRevenuePerUser": { "_": "starsAmount", "amount": "string", "nanos": 0 } }}toggleUsername
Activate or deactivate a purchased [fragment.com](https://fragment.com/) username associated to a bot we own.
updateUserEmojiStatus
Change the emoji status of a user (invoked by bots, see [here »](https://core.telegram.org/api/emoji-status#setting-an-emoji-status-from-a-bot) for more info on the full flow)